#include "wlanprofile.h"

wlanProfile::wlanProfile()
{
    m_name = "";
    m_nextProfile = NULL;
}

/// Adds a new profile at the end of the list and returns a pointer to it
wlanProfile *wlanProfile::addProfile(){
    wlanProfile *tmpProfile = this;
    // Browse to last profile
    while (tmpProfile->m_nextProfile) tmpProfile = tmpProfile->m_nextProfile;
    // Add Profile
    tmpProfile->m_nextProfile = new wlanProfile();
    tmpProfile=tmpProfile->m_nextProfile;
    return tmpProfile;

}

wlanProfile::~wlanProfile()
{
}


